org.eclipse.ui.actions

## Class CommandNotMappedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.commands.common.CommandException
      - - org.eclipse.ui.actions.CommandNotMappedException

All Implemented Interfaces:
  Serializable

    public class CommandNotMappedException
    extends CommandException

Indicates that an action has no command mapping. The declaration can be updated to include a definitionId.

Since:
  3.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CommandNotMappedException(String message)`
`CommandNotMappedException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class org.eclipse.core.commands.common.CommandException

`getCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommandNotMappedException

    public CommandNotMappedException(String message)

Parameters:
  `message` -

#### CommandNotMappedException

    public CommandNotMappedException(String message,
                                     Throwable cause)

Parameters:
  `message` -
  `cause` -